Subject: Re: [PATCH] Add AMCC Arches 460GT eval board support to platforms/44x

From: Grant Likely <[email-masked]>
Date: Wed, 16 Jul 2008 09:46:46 -0600

On Wed, Jul 16, 2008 at 04:46:01PM +0200, Arnd Bergmann wrote:
> On Wednesday 16 July 2008, Grant Likely wrote:
> > 
> > > 
> > > And then you don't need this file at all.  Just add a
> > > "amcc,canyonlands" string to your root node compatible property.
> > 
> > No!  Don't do this because it is not true!
> > 
> > Instead, add your board name to canyonlands.c in canyonlands_probe().
> > It's not the most scalable solution, but it keeps you from lying about
> > your hardware in the .dts file.
> > 
> > I'm working on a more scalable solution for this, but for now just add
> > your specific board to canyonlands_probe().
> 
> Shouldn't it be enough to have a common compatible value in each
> of these boards, e.g. "amcc,generic-ppc44x" and then just ignore the
> specific type unless you need to do something special?

This is bad for the same reason that "amcc,44x-<blah>" compatible values
are bad in device nodes.  The definition of '*-44x-*' changes over time as
new parts are added.  Compatible values should always reflect an exact
part number.

g.